## simulavr 1.0.0+git20160221.e53413b

=== debian/changelog ===
simulavr (1.0.0+git20160221.e53413b-3) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Limit to -std=c++14.
  * Shorten strings to avoid "region `data' overflowed by 8 bytes" on some
    targets.  (Closes: #975138)
  * Declare Rules-Requires-Root: no.
  * Add -fdebug-prefix-map=... to AVR_CFLAGS for reproducible builds.
  * CI: Exclude avr-gcc from blhc checks.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Apr 2024 12:09:05 +0200

simulavr (1.0.0+git20160221.e53413b-2) unstable; urgency=medium

  * QA upload.
  * Cherrypick upstream python_3 branch patches, merge cleanly. Closes: #938486

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 00:45:29 +0000

simulavr (1.0.0+git20160221.e53413b-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #522244)
    - use git snapshot, as current 1.0.0 release is already quite old
      and does not autoreconfigure without a lot of patching.
    - builds with GCC 8 (Closes: #897860)
    - builds with clang (Closes: #754591)
    - builds with texlive installed (Closes: #650947)
  * Convert to dh-based build. (Closes: #727966)
  * Convert to source format 3.0 (quilt).
  * debian/patches:
    - fix regression test build
    - fix spelling errors found by lintian
    - add dircategory/direntry sections to info manual
  * debian/watch:
    - don't match windows/binary archives
    - add pgpsigurlmangle
  * debian/copyright:
    - convert to copyright format 1.0
    - update to new upstream release
  * debian/control:
    - bump Standards-Version to 4.2.0
    - update homepage
    - drop obsolete recommendation on xterm
    - add python and texinfo to build dependencies; required for regression
      tests and building of the info manual.
  * Import upstream signing keyring.
  * Add upstream metadata file.
  * Drop outdated README.Debian and simulavr-vcd manpage.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 11 Aug 2018 11:55:41 +0200

simulavr (0.1.2.2-7) unstable; urgency=medium

  * QA upload.
    Set Maintainer to "Debian QA Group <packages@qa.debian.org>".
    Cf. #739228.
  * Fix "ftbfs with GCC-5": apply patch from Brett Johnson:
    debian/rules: build with "-std=gnu89".
    (Closes: #778119)

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Jul 2015 18:28:15 +0200

simulavr (0.1.2.2-6.2) unstable; urgency=low

  * NMU.
  * Add patches from Ubuntu:

  [ Ilya Barygin ]
  * src/{eeprom,flash,memory}.c: fix possible buffer overflow detected
    by FORTIFY_SOURCE, see http://savannah.nongnu.org/bugs/?29049
  * Add missing ${misc:Depends} to binary package dependencies.
  (Closes: #572326)

  [ Daniel T Chen ]
  * src/disp-vcd/disp.c: Fix FTBFS from unused-but-set-variable error.
    (LP: #832944) (Closes: #625433)

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 Oct 2011 16:18:29 +0200

simulavr (0.1.2.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc 4.3 by applying #if 0 to unused code and turning
    an extern inline function into static inline (Closes: #461668).
  * Upgrade Homepage pseudo-field to a real field in debian/control.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sat, 05 Apr 2008 21:43:28 +0000

simulavr (0.1.2.2-6) unstable; urgency=low

  * Adopting package (Closes: #345830)
  * Set compat to 5
  * Add xterm to Recommends and add a README.Debian (Closes: #437711)
  * debian/control: Remove toolchain-source from Suggests
  * debian/rules:
    + Disable tests by default
    + Separate configure and build targets
    + Fix debian-rules-ignores-make-clean-error
    + Allow cross-compiling

 -- Arthur Loiret <arthur.loiret@gmail.com>  Fri, 17 Aug 2007 09:52:43 +0200

simulavr (0.1.2.2-5) unstable; urgency=low

  * QA upload.
  * Reapply changes from 0.1.2.2-3.
  * debian/rules: Readd dh_testdir and dh_testroot.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Fri, 21 Jul 2006 09:25:34 +0200

simulavr (0.1.2.2-4) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Thu, 27 Apr 2006 22:42:43 -0700

simulavr (0.1.2.2-3) unstable; urgency=low

  * src/intvects.h (irq_vect_table_index): Use offsetof. Closes: #361603.
  * Update config.guess and config.sub to version 2006-02-23.
  * Clean up debian/rules.

 -- Shaun Jackman <sjackman@debian.org>  Sun,  9 Apr 2006 12:59:37 -0600

simulavr (0.1.2.2-2) unstable; urgency=low

  * Handle new texi2html behaviour. Closes: #345767
  * Update watch file.
  * Update policy version to 3.6.2.2. No changes necessary.
  * Remove the versioned build depends. Stable (sarge) meets all the
    dependencies.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 15 Jan 2006 22:42:24 -0700

simulavr (0.1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Cast unsigned char* to char* for gcc-4.0 (closes: #302387).

 -- Shaun Jackman <sjackman@debian.org>  Thu, 31 Mar 2005 22:49:37 -0800

simulavr (0.1.2.1-3) unstable; urgency=low

  * Fix ARM build by preventing mistaken warning (closes: #271646).

 -- Shaun Jackman <sjackman@debian.org>  Tue, 14 Sep 2004 08:19:56 -0700

simulavr (0.1.2.1-2) unstable; urgency=low

  * Change -m avr85xx to -m avr2 (closes: #268292).

 -- Shaun Jackman <sjackman@debian.org>  Sat, 28 Aug 2004 14:18:40 -0700

simulavr (0.1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add simulavr-vcd.1.
  * Add Carsten Beth to copyright.
  * Add Build-Depends: avr-libc (>= 1:1.0.3-1), gcc-avr (>= 1:3.3.2-1),
    binutils-avr (>= 2.14-1), debhelper (>> 4.0.0).
  * Add Recommends: gcc-avr.
  * Add Suggests: toolchain-source.
  * Remove Recommends: gdb-avr (Closes: #240555).
  * Update Standards-Version: 3.6.1.0
  * Update watch version=2.

 -- Shaun Jackman <sjackman@debian.org>  Sat, 10 Apr 2004 13:54:17 -0700

simulavr (0.1.1-4) unstable; urgency=low

  * Fix the build for ia64 (Closes: #168893).

 -- Shaun Jackman <sjackman@debian.org>  Thu,  1 Jan 2004 18:00:19 -0800


