=== debian/control ===
Source: simulavr
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 11),
 avr-libc,
 binutils-avr,
 gcc-avr,
 libncurses-dev,
 python3,
 texinfo,
Rules-Requires-Root: no
Standards-Version: 4.2.0
Homepage: https://www.nongnu.org/simulavr/
Vcs-Browser: https://salsa.debian.org/debian/simulavr
Vcs-Git: https://salsa.debian.org/debian/simulavr.git

Package: simulavr
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils-avr,
 gcc-avr,
Description: Atmel AVR simulator
 simulavr simulates the Atmel AVR family of micro-controllers,
 emulates a gdb remote target, and displays register and memory
 information in real time.
