=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14

%:
	dh $@

override_dh_auto_configure:
	# simulavr is the only user of libsim.so; install in private libdir
	dh_auto_configure -- --libdir=/usr/lib/simulavr

override_dh_install:
	# clean up files there were unnecessarily installed
	-cd $(CURDIR)/debian/simulavr/usr/share/doc/simulavr/ && rm -f NEWS INSTALL COPYING
	-rm -f $(CURDIR)/debian/simulavr/usr/lib/simulavr/libsim.la
	dh_install
