=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.gnu.org/releases/simulavr/ simulavr-([\d\.]*)@ARCHIVE_EXT@ debian uupdate
